/**
 * $Id: ListFactory.java,v 1.2 2006/05/15 11:23:07 uwe Exp $
 */

package de.fhw.data.list;


/**
 * The interface for a list factory.
 * A new empty list is constructed with empty()
 * 
 * @param <E> the Element type
 */
public
interface ListFactory<E> {
	/**
	 * @return a new empty list, this result is usually taken as a prototype
	 */	
	List <E> empty();
}
