/**
 * $Id: MapFactory.java,v 1.3 2006/02/07 19:30:13 uwe Exp $
 */

package de.fhw.data.map;

/**
 * The interface for a map factory.
 * A new empty map is constructed with empty()
 * 
 * @param <K> the Key type
 * @param <V> the Value type
 */
public
interface MapFactory<K, V> {
	/**
	 * @return a new empty map
	 */	
	Map <K, V> empty();
}
