/**
 * $Id*
 */

package de.fhw.data.map.referenceImpl;

import de.fhw.data.map.Map;
import de.fhw.data.map.MapFactory;

/**
 * The factory for the reference implementation
 * 
 * @author uwe
 *
 * @param <K> the Key type
 * @param <V> the Value type
 */
public
class MapAsLinkedListFactory <K,V>
implements MapFactory<K,V> {
	
	public
	Map <K,V> empty() {
		return
		new MapAsLinkedList<K,V>();
	}
}
