/**
 * $Id*
 */

package de.fhw.data.list.referenceImpl;

import de.fhw.data.list.List;
import de.fhw.data.list.ListFactory;

/**
 * The factory for the list reference implementation with single linked lists
 * 
 * @param <E> the element type
 */

public
class ListAsLinkedListFactory <E>
implements ListFactory<E> {
	
	public
	List <E> empty() {
		return
		new ListAsLinkedList<E>();
	}
}
