/**
 * $Id: SetFactory.java,v 1.3 2006/02/07 19:30:14 uwe Exp $
 */

package de.fhw.data.set;


/**
 * The interface for a set factory.
 * A new empty set is constructed with empty()
 * 
 * @param <E> the Element type
 */
public
interface SetFactory<E> {
	/**
	 * @return a new empty set, this result is usually taken as a prototype
	 */	
	Set <E> empty();
}
